import * as React from "react";
import { VariantProps } from "class-variance-authority";
//#region src/Avatar.d.ts
declare const avatarVariants: (props?: ({
  size?: "md" | "lg" | "sm" | null | undefined;
} & import("class-variance-authority/types").ClassProp) | undefined) => string;
interface AvatarProps extends VariantProps<typeof avatarVariants> {
  src?: string;
  alt: string;
  fallback: string;
  className?: string;
}
declare function Avatar({ src, alt, fallback, size, className }: AvatarProps): React.JSX.Element;
//#endregion
export { Avatar, AvatarProps };